package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 短信模板对象 company_sms_temp
 * 
 * @author fs
 * @date 2023-01-09
 */
public class CompanySmsTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板ID */
    private Long tempId;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 模板标题 */
    @Excel(name = "模板标题")
    private String title;

    /** 模板内容 */
    @Excel(name = "模板内容")
    private String content;

    /** 模板CODE */
    @Excel(name = "模板CODE")
    private String tempCode;

    /** 模板类型 */
    @Excel(name = "模板类型")
    private Integer tempType;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Integer cateId;

    private Integer isAudit;

    public Integer getIsAudit() {
        return isAudit;
    }

    public void setIsAudit(Integer isAudit) {
        this.isAudit = isAudit;
    }

    public void setTempId(Long tempId)
    {
        this.tempId = tempId;
    }

    public Long getTempId() 
    {
        return tempId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setTempCode(String tempCode) 
    {
        this.tempCode = tempCode;
    }

    public String getTempCode() 
    {
        return tempCode;
    }
    public void setTempType(Integer tempType) 
    {
        this.tempType = tempType;
    }

    public Integer getTempType() 
    {
        return tempType;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setCateId(Integer cateId) 
    {
        this.cateId = cateId;
    }

    public Integer getCateId() 
    {
        return cateId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tempId", getTempId())
            .append("companyId", getCompanyId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("tempCode", getTempCode())
            .append("tempType", getTempType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .append("cateId", getCateId())
            .toString();
    }
}
